/*******************************************************************
*
*  DESCRIPTION: Atomic Model PINChecker
*
*  AUTHOR: Mohammad Moallemi
*
*  EMAIL: mmoallem@connect.carleton.ca
*
*
*  DATE: 1/11/2007
*
*******************************************************************/
#ifndef __PINCHECKER_H
#define __PINCHECKER_H

/** include files **/
#include "atomic.h"  // class Atomic


/** declarations **/
class PINChecker: public Atomic
{
public:
	PINChecker( const string &name = "PINChecker" ) ;	 // Default constructor

	

	virtual string className() const
		{return "WirelessManager";}

protected:
	Model &initFunction()
		{   replypin = 0;
			
                      this -> passivate();
                      return *this;}

	Model &externalFunction( const ExternalMessage & );

	Model &internalFunction( const InternalMessage & );

	Model &outputFunction( const InternalMessage & );

private:
	const Port &in2;
    Port &out2 ;
    Time processingtime;
    int   replypin;
	

    
};	// class PINChecker


#endif    //__PINCHECKER_H
