/*******************************************************************
*
*  DESCRIPTION: Atomic Model User Interface
*
*  AUTHOR: Mohammad Moallemi 
*
*  EMAIL: mmoallem@connect.carleton.ca
*
*
*  DATE: 1/11/2007
*
*******************************************************************/
#include "modeladm.h" 
#include "mainsimu.h"
#include "UserLaptop.h"  
#include "DataTransmitter.h"
#include "WirelessManager.h"
#include "PINChecker.h"

void MainSimulator::registerNewAtomics()
{
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<UserLaptop>(), "UserLaptop" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<DataTransmitter>(), "DataTransmitter" ) ;   
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<WirelessManager>(), "WirelessManager" ) ;
 SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<PINChecker>(), "PINChecker" ) ;
}